Package com.emc.d2fs.interfaces

# Interface IValidationService

All Superinterfaces:
  `ID2fsService`

public interface IValidationService extends ID2fsService
Validation services. Provides validation of object, name and attribute value constraints.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Attribute>`
  `checkAttributesConstraints(Context context, String objectId, List<Attribute> attributes)`
  Check attributes constraints
  `List<Attribute>`
  `checkObjectConstraints(Context context, String objectId)`
  Check document constraints
  `boolean`
  `checkUniqueness(Context context, String objectId, String configurationName)`
  Check uniqueness configuration for specified document

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### checkUniqueness

    boolean checkUniqueness(Context context, String objectId, String configurationName) throws D2fsException
    Check uniqueness configuration for specified document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of document id
      `configurationName` - String value of configuration name
    Returns:
      true if document responds to uniqueness constraint
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### checkAttributesConstraints

    List<Attribute> checkAttributesConstraints(Context context, String objectId, List<Attribute> attributes) throws D2fsException
    Check attributes constraints
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of document id
      `attributes` - `Attribute` list of document attributes
    Returns:
      `Attribute` list of constraints
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### checkObjectConstraints

    List<Attribute> checkObjectConstraints(Context context, String objectId) throws D2fsException
    Check document constraints
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of document id
    Returns:
      `Attribute` list of constraints
    Throws:
      `D2fsException`
    Since:
      4.0.1